Post new topic   Reply to topic
Author Message
support-scott
Moderator
Moderator


Joined: May 06, 2003
Posts: 6760

All,

First, thanks to the many thousands of our users that have been following our progress on 4.0 and providing us with feedback. We truly appreciate your support for our efforts.

As you know, throughout the 4.0 milestoning processes, we've always provided an update site so you could easily upgrade your MyEclipse installation as new builds became available. Unfortunately, we won't be able to provide an update site to transition from the milestone builds to the final 4.0 GA release, and here's why. As part of MyEclipse, we ship the releases of several other eclipse.org projects upon which some of our tooling is built. Specifically, these projects are EMF, GEF/Draw2D, and JEM. When we began the 4.0 milestone builds, we updated the versions of these projects within MyEclipse with the latest versions that were available for Eclipse 3.1 at the time. However, those initial versions were not the final Eclipse 3.1-compatible versions, simply because they weren't available yet. Now that the final versions of those components are ready, we've updated all of them within MyEclipse 4.0 GA. But, this creates the update problem. The final version numbers of the included libraries are the same as the initial version numbers from our milestone builds because Eclipse teams do not update their version numbers during their development process. Since the version numbers didn't change, the Eclipse update manager can't tell that the new plugins have been updated and will not download and install them over the existing ones. Simply put, if we created an update site for upgrading from the milestone builds to the final GA build, it wouldn't have worked correctly.

So, for existing 4.0 milestone users the simplest course of action is to install Eclipse 3.1 (final) and MyEclipse 4.0 GA in parallel to your existing milestone installation. Then, use the new release to open your existing workspace. Once you've verified the funcationality, you can simply delete your old milestone installation.

We apologize for the inconvenience, but we felt that opting to identify the issue and make you aware of it was certainly preferable to providing an update site that likely would have simply broken your installation. Now that the library upgrade is complete, future updates to MyEclipse 4.0 GA will be available using an update site in the future.

_________________
--Scott
MyEclipse Support
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
All times are GMT - 6 Hours
Post new topic   Reply to topic
® 2014 - Genuitec, LLC.